# Search User Profiles (deprecated) Use this endpoint to retrieve a list of User Profiles matching the search keyword provided in the request parameter. Do not enter your search term wrapped in quotation marks. Provided keyword will be matched against the user attributes case insensitively - First Name, Last Name, Friendly Name, Username, Email, Phone, Company, Contact, Country, Status, Group Names, and Role Name. Entering "*" as your search term will return all users. The response is formatted as an area of objects, with each user account being returned as an object, as well as a key called 'count', which indicates how many accounts met the search critera. A maximum limit of 100 accounts will be returned in the response. In the case that more than 100 accounts meet the search criteria, pagination using the optional 'from' and 'limit' query parameters will be required to retrieve all accounts. The user performing this action must have the 'User Management' role privilege. How to use pagination: Pagination should be used when the amount of user accounts that match the entered search term exceeds the amount of users (100) returned in a single response. Paginating through the results will require making more than one call to this endpoint. To retrieve the first 100 users, in your query parameters, set your 'from' value to 0, and your 'limit' value to 100. To return the next set of 100 users, leave your 'limit' value as 100, but set your 'from' value to 100. Continue to repeat this process of adding 100 to your 'from' value until all user account results are captured. Endpoint: GET /user/search/{searchText} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation ## Path parameters: - `searchText` (string, required) Specify searchText to search across user attributes. ## Query parameters: - `from` (string, required) Specify the starting position for the next result set. - `limit` (string, required) Specify the maximum number of records to return each call. ## Response 200 fields (application/json): - `status` (string) Example: "success" - `data` (array) List of User objects - `data.userId` (string) Current User ID Example: "7d675ef0-f423-11e9-8071-89c0c4052141" - `data.customerId` (string) Parent Customer ID Example: "1234567890" - `data.emailId` (string) User email Example: "erlich.bachman@piedpiper.com" - `data.firstName` (string) User first name Example: "Erlich" - `data.lastName` (string) User last name Example: "Bachman" - `data.roleId` (string) User role ID Example: "7d5620e0-f423-11e9-8071-89c0c4052141" - `data.status` (string) User account status Example: "enabled" - `data.groups` (array) List of group IDs that user belongs to Example: ["7d6207c0-f423-11e9-8071-89c0c4052141"] - `data.userName` (string,null) The username of the Tenovos user, created by the Administrator or user at the time of account creation. Can be null for federated user accounts. Example: "erlich.bachman" - `data.phone` (string) Example: 15551234565 - `data.contact` (string) The person designated as the sponsor/point of contact for this user Example: "Richard Hendricks" - `data.country` (string) The country in which the Tenovos user is located. Example: "USA" - `data.company` (string) The company that the Tenovos user works for. Example: "Pied Piper" - `data.friendlyName` (string) A "friendlier" version of the username. Used in the UI display and provided by the user. Example: "Erlich Bachman" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)